Run of fresh-releases for ruby-jekyll-toc

Try this locally (using silver-platter):

debian-svp new-upstream ruby-jekyll-toc 

Merge these changes:

git pull https://janitor.debian.net/git/ruby-jekyll-toc fresh-releases/main
git pull https://janitor.debian.net/git/ruby-jekyll-toc fresh-releases/pristine-tar
git pull https://janitor.debian.net/git/ruby-jekyll-toc fresh-releases/upstream

Summary

Merged new upstream version: 0.17.0 (was: 0.16.0).

Diff

Branch: main

Diff is too long (more than 200 lines). Download the raw diff.

Branch: pristine-tar

diff --git a/ruby-jekyll-toc_0.17.0.orig.tar.gz.delta b/ruby-jekyll-toc_0.17.0.orig.tar.gz.delta
new file mode 100644
index 0000000..ceddb1b
Binary files /dev/null and b/ruby-jekyll-toc_0.17.0.orig.tar.gz.delta differ
diff --git a/ruby-jekyll-toc_0.17.0.orig.tar.gz.id b/ruby-jekyll-toc_0.17.0.orig.tar.gz.id
new file mode 100644
index 0000000..958d632
--- /dev/null
+++ b/ruby-jekyll-toc_0.17.0.orig.tar.gz.id
@@ -0,0 +1 @@
+eb1c93ada65135d75bdfe76fe87b6f101cee3a37

Branch: upstream

Tag: upstream/0.17.0
diff --git a/.github/workflows/ci.yml b/.github/workflows/ci.yml
index 752b140..028ac35 100644
--- a/.github/workflows/ci.yml
+++ b/.github/workflows/ci.yml
@@ -4,24 +4,19 @@ jobs:
   build:
     strategy:
       matrix:
-        ruby: [2.4, 2.5, 2.6, 2.7]
+        ruby: [2.5, 2.6, 2.7, 3.0]
         gemfile:
-          - gemfiles/jekyll_3.8.gemfile
           - gemfiles/jekyll_3.9.gemfile
           - gemfiles/jekyll_4.0.gemfile
           - gemfiles/jekyll_4.1.gemfile
-        exclude:
-        - ruby: 2.4
-          gemfile: gemfiles/jekyll_4.0.gemfile
-        - ruby: 2.4
-          gemfile: gemfiles/jekyll_4.1.gemfile
+          - gemfiles/jekyll_4.2.gemfile
     env:
       BUNDLE_GEMFILE: ${{ matrix.gemfile }}
     runs-on: ubuntu-latest
     steps:
     - uses: actions/checkout@v2
     - name: Set up Ruby ${{ matrix.ruby }}
-      uses: actions/setup-ruby@v1
+      uses: ruby/setup-ruby@v1
       with:
         ruby-version: ${{ matrix.ruby }}
     - name: bundle install
diff --git a/.github/workflows/coverage.yml b/.github/workflows/coverage.yml
index 5a093a8..eb4a549 100644
--- a/.github/workflows/coverage.yml
+++ b/.github/workflows/coverage.yml
@@ -4,13 +4,13 @@ jobs:
   build:
     strategy:
       matrix:
-        ruby: [2.7]
+        ruby: [3.0]
     runs-on: ubuntu-latest
     name: coverage
     steps:
       - uses: actions/checkout@v2
       - name: Set up Ruby ${{ matrix.ruby }}
-        uses: actions/setup-ruby@v1
+        uses: ruby/setup-ruby@v1
         with:
           ruby-version: ${{ matrix.ruby }}
       - name: bundle install
diff --git a/.github/workflows/rubocop.yml b/.github/workflows/rubocop.yml
index d48e98a..2442c8d 100644
--- a/.github/workflows/rubocop.yml
+++ b/.github/workflows/rubocop.yml
@@ -4,13 +4,13 @@ jobs:
   build:
     strategy:
       matrix:
-        ruby: [2.7]
+        ruby: [3.0]
     runs-on: ubuntu-latest
     name: rubocop
     steps:
       - uses: actions/checkout@v2
       - name: Set up Ruby ${{ matrix.ruby }}
-        uses: actions/setup-ruby@v1
+        uses: ruby/setup-ruby@v1
         with:
           ruby-version: ${{ matrix.ruby }}
       - name: bundle install
diff --git a/Appraisals b/Appraisals
index 54cf478..4c5076f 100644
--- a/Appraisals
+++ b/Appraisals
@@ -1,6 +1,6 @@
 # frozen_string_literal: true
 
-SUPPORTED_VERSIONS = %w[3.8 3.9 4.0 4.1].freeze
+SUPPORTED_VERSIONS = %w[3.8 3.9 4.0 4.1 4.2].freeze
 
 SUPPORTED_VERSIONS.each do |version|
   appraise "jekyll-#{version}" do
diff --git a/gemfiles/jekyll_3.8.gemfile b/gemfiles/jekyll_3.8.gemfile
index d4ca717..e35ed3d 100644
--- a/gemfiles/jekyll_3.8.gemfile
+++ b/gemfiles/jekyll_3.8.gemfile
@@ -7,7 +7,10 @@ gem "minitest-reporters"
 gem "minitest"
 gem "pry"
 gem "rake"
-gem "rubocop", "~> 0.81"
+gem "rubocop-minitest"
+gem "rubocop-performance"
+gem "rubocop-rake"
+gem "rubocop"
 gem "simplecov", "~> 0.17.1"
 gem "jekyll", "3.8"
 
diff --git a/gemfiles/jekyll_3.9.gemfile b/gemfiles/jekyll_3.9.gemfile
index c5d50af..4053fd1 100644
--- a/gemfiles/jekyll_3.9.gemfile
+++ b/gemfiles/jekyll_3.9.gemfile
@@ -7,7 +7,10 @@ gem "minitest-reporters"
 gem "minitest"
 gem "pry"
 gem "rake"
-gem "rubocop", "~> 0.81"
+gem "rubocop-minitest"
+gem "rubocop-performance"
+gem "rubocop-rake"
+gem "rubocop"
 gem "simplecov", "~> 0.17.1"
 gem "jekyll", "3.9"
 
diff --git a/gemfiles/jekyll_4.0.gemfile b/gemfiles/jekyll_4.0.gemfile
index 267a730..ba8e1fc 100644
--- a/gemfiles/jekyll_4.0.gemfile
+++ b/gemfiles/jekyll_4.0.gemfile
@@ -7,7 +7,10 @@ gem "minitest-reporters"
 gem "minitest"
 gem "pry"
 gem "rake"
-gem "rubocop", "~> 0.81"
+gem "rubocop-minitest"
+gem "rubocop-performance"
+gem "rubocop-rake"
+gem "rubocop"
 gem "simplecov", "~> 0.17.1"
 gem "jekyll", "4.0"
 
diff --git a/gemfiles/jekyll_4.1.gemfile b/gemfiles/jekyll_4.1.gemfile
index d5296a3..e106eff 100644
--- a/gemfiles/jekyll_4.1.gemfile
+++ b/gemfiles/jekyll_4.1.gemfile
@@ -7,7 +7,10 @@ gem "minitest-reporters"
 gem "minitest"
 gem "pry"
 gem "rake"
-gem "rubocop", "~> 0.81"
+gem "rubocop-minitest"
+gem "rubocop-performance"
+gem "rubocop-rake"
+gem "rubocop"
 gem "simplecov", "~> 0.17.1"
 gem "jekyll", "4.1"
 
diff --git a/gemfiles/jekyll_4.2.gemfile b/gemfiles/jekyll_4.2.gemfile
new file mode 100644
index 0000000..204bef8
--- /dev/null
+++ b/gemfiles/jekyll_4.2.gemfile
@@ -0,0 +1,17 @@
+# This file was generated by Appraisal
+
+source "https://rubygems.org"
+
+gem "appraisal"
+gem "minitest-reporters"
+gem "minitest"
+gem "pry"
+gem "rake"
+gem "rubocop-minitest"
+gem "rubocop-performance"
+gem "rubocop-rake"
+gem "rubocop"
+gem "simplecov", "~> 0.17.1"
+gem "jekyll", "4.2"
+
+gemspec path: "../"
diff --git a/jekyll-toc.gemspec b/jekyll-toc.gemspec
index 4a1d53c..abd1cf3 100644
--- a/jekyll-toc.gemspec
+++ b/jekyll-toc.gemspec
@@ -19,6 +19,6 @@ Gem::Specification.new do |spec|
 
   spec.required_ruby_version = '>= 2.4'
 
-  spec.add_dependency 'jekyll', '>= 3.8'
+  spec.add_dependency 'jekyll', '>= 3.9'
   spec.add_dependency 'nokogiri', '~> 1.10'
 end
diff --git a/lib/table_of_contents/version.rb b/lib/table_of_contents/version.rb
index 0cb8f4d..aad5f64 100644
--- a/lib/table_of_contents/version.rb
+++ b/lib/table_of_contents/version.rb
@@ -2,6 +2,6 @@
 
 module Jekyll
   module TableOfContents
-    VERSION = '0.16.0'
+    VERSION = '0.17.0'
   end
 end

Debdiff

[The following lists of changes regard files as different if they have different names, permissions or owners.]

Files in second set of .debs but not in first

-rw-r--r--  root/root   /usr/share/rubygems-integration/all/gems/jekyll-toc-0.17.0/lib/jekyll-toc.rb
-rw-r--r--  root/root   /usr/share/rubygems-integration/all/gems/jekyll-toc-0.17.0/lib/table_of_contents/configuration.rb
-rw-r--r--  root/root   /usr/share/rubygems-integration/all/gems/jekyll-toc-0.17.0/lib/table_of_contents/helper.rb
-rw-r--r--  root/root   /usr/share/rubygems-integration/all/gems/jekyll-toc-0.17.0/lib/table_of_contents/parser.rb
-rw-r--r--  root/root   /usr/share/rubygems-integration/all/gems/jekyll-toc-0.17.0/lib/table_of_contents/version.rb
-rw-r--r--  root/root   /usr/share/rubygems-integration/all/specifications/jekyll-toc-0.17.0.gemspec

Files in first set of .debs but not in second

-rw-r--r--  root/root   /usr/share/rubygems-integration/all/gems/jekyll-toc-0.16.0/lib/jekyll-toc.rb
-rw-r--r--  root/root   /usr/share/rubygems-integration/all/gems/jekyll-toc-0.16.0/lib/table_of_contents/configuration.rb
-rw-r--r--  root/root   /usr/share/rubygems-integration/all/gems/jekyll-toc-0.16.0/lib/table_of_contents/helper.rb
-rw-r--r--  root/root   /usr/share/rubygems-integration/all/gems/jekyll-toc-0.16.0/lib/table_of_contents/parser.rb
-rw-r--r--  root/root   /usr/share/rubygems-integration/all/gems/jekyll-toc-0.16.0/lib/table_of_contents/version.rb
-rw-r--r--  root/root   /usr/share/rubygems-integration/all/specifications/jekyll-toc-0.16.0.gemspec

Control files: lines which differ (wdiff format)

  • Depends: jekyll (>= 3.8), 3.9), ruby-nokogiri (>= 1.10)

Lintian Result

Full worker log Full build log